mariocasciaro mariocasciaro

react-router

9 31 0

A complete routing solution for React.js

Dependencies

Package Locked Requirement Latest Status Changelog
Npms invariant ^2.0.0 2.2.2

invariant

invariant

This dependency is up-to-date. Congrats and keep going!

Npms warning ^2.0.0 3.0.0

warning

A mirror of Facebook's Warning

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms babel ^5.4.7 6.23.0

babel

Turn ES6 code into readable vanilla ES5 with source maps

This dependency is not matching latest version. Please consider upgrading.

Npms babel-core ^5.4.7 6.26.0

babel-core

Babel compiler core.

This dependency is not matching latest version. Please consider upgrading.

Npms babel-eslint ^3.1.23 8.2.1

babel-eslint

Custom parser for ESLint

This dependency is not matching latest version. Please consider upgrading.

Npms babel-loader ^5.0.0 7.1.2

babel-loader

babel module loader for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms babel-plugin-dev-expression ^0.1.0 0.2.1

babel-plugin-dev-expression

A mirror of Facebook's dev-expression Babel plugin

This dependency is not matching latest version. Please consider upgrading.

Npms bundle-loader ^0.5.2 0.5.5

bundle-loader

bundle loader module for webpack

This dependency is up-to-date. Congrats and keep going!

Npms codecov.io ^0.1.6 0.1.6

codecov.io

lcov posting to codecov.io

This dependency is up-to-date. Congrats and keep going!

Npms coveralls ^2.11.4 3.0.0

coveralls

takes json-cov output into stdin and POSTs to coveralls.io

This dependency is not matching latest version. Please consider upgrading.

Npms css-loader ^0.19.0 0.28.9

css-loader

css loader module for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms eslint ^1.7.3 4.15.0

eslint

An AST-based pattern checker for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms eslint-config-rackt ^1.1.0 1.1.1

eslint-config-rackt

Shareable eslint config for rackt repos

This dependency is up-to-date. Congrats and keep going!

Npms eslint-plugin-react ^3.6.3 7.5.1

eslint-plugin-react

React specific linting rules for ESLint

This dependency is not matching latest version. Please consider upgrading.

Npms expect ^1.12.0 22.1.0

This dependency is not matching latest version. Please consider upgrading.

Npms express ^4.13.3 4.16.2

express

Fast, unopinionated, minimalist web framework

This dependency is up-to-date. Congrats and keep going!

Npms express-urlrewrite ^1.2.0 1.2.0

express-urlrewrite

URL rewrite middleware for express

This dependency is up-to-date. Congrats and keep going!

Npms gzip-size ^3.0.0 4.1.0

gzip-size

Get the gzipped size of a string or buffer

This dependency is not matching latest version. Please consider upgrading.

Npms history ^1.12.5 4.7.2

history

Manage session history with JavaScript

This dependency is not matching latest version. Please consider upgrading.

Npms isparta-loader ^1.0.0 2.0.0

isparta-loader

isparta instrumenter loader for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms karma ^0.13.13 2.0.0

karma

Spectacular Test Runner for JavaScript.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-browserstack-launcher ^0.1.4 1.3.0

karma-browserstack-launcher

A Karma plugin. Launch any browser on BrowserStack!

This dependency is not matching latest version. Please consider upgrading.

Npms karma-chrome-launcher ^0.2.0 2.2.0

karma-chrome-launcher

A Karma plugin. Launcher for Chrome and Chrome Canary.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-coverage ^0.5.3 1.1.1

karma-coverage

A Karma plugin. Generate code coverage.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-mocha ^0.2.0 1.3.0

karma-mocha

A Karma plugin. Adapter for Mocha testing framework.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-mocha-reporter ^1.1.1 2.2.5

karma-mocha-reporter

Karma reporter with mocha style logging.

This dependency is not matching latest version. Please consider upgrading.

Npms karma-sourcemap-loader ^0.3.5 0.3.7

karma-sourcemap-loader

Karma plugin that locates and loads existing javascript source map files.

This dependency is up-to-date. Congrats and keep going!

Npms karma-webpack ^1.7.0 2.0.9

karma-webpack

Use webpack with karma

This dependency is not matching latest version. Please consider upgrading.

Npms mocha ^2.0.1 5.0.0

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms pretty-bytes ^2.0.1 4.0.2

pretty-bytes

Convert bytes to a human readable string: 1337 → 1.34 kB

This dependency is not matching latest version. Please consider upgrading.

Npms qs ^4.0.0 6.5.1

qs

A querystring parser that supports nesting and arrays, with a depth limit

This dependency is not matching latest version. Please consider upgrading.

Npms react ^0.14.0 16.2.0

react

React is a JavaScript library for building user interfaces.

This dependency is not matching latest version. Please consider upgrading.

Npms react-addons-css-transition-group ^0.14.0 15.6.2

react-addons-css-transition-group

The code in this package has moved. We recommend you to use `CSSTransitionGroup` from [`react-transition-group`](https://github.com/reactjs/react-transition-group) instead.

This dependency is not matching latest version. Please consider upgrading.

Npms react-addons-test-utils 0.14.0 15.6.2

react-addons-test-utils

This package provides the React TestUtils add-on.

This dependency is not matching latest version. Please consider upgrading.

Npms react-dom ^0.14.0 16.2.0

react-dom

React package for working with the DOM.

This dependency is not matching latest version. Please consider upgrading.

Npms react-static-container ^1.0.0 1.0.2

react-static-container

Renders static content efficiently by allowing React to short-circuit the reconciliation process.

This dependency is up-to-date. Congrats and keep going!

Npms rimraf ^2.4.3 2.6.2

rimraf

A deep deletion module for node (like `rm -rf`)

This dependency is up-to-date. Congrats and keep going!

Npms style-loader ^0.12.4 0.19.1

style-loader

style loader module for webpack

This dependency is not matching latest version. Please consider upgrading.

Npms webpack ^1.4.13 3.10.0

webpack

Packs CommonJs/AMD modules for the browser. Allows to split your codebase into multiple bundles, which can be loaded on demand. Support loaders to preprocess files, i.e. json, jsx, es7, css, less, ... and your custom stuff.

This dependency is not matching latest version. Please consider upgrading.

Npms webpack-dev-middleware ^1.2.0 2.0.4

webpack-dev-middleware

A development middleware for webpack

This dependency is not matching latest version. Please consider upgrading.